CREATE TABLE IF NOT EXISTS #__s5clanroster_categories (
  `id` int(255) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  `description` text NOT NULL,
  `published` int(10) NOT NULL,
  `ordering` int(10) NOT NULL,
  `parent` int(10) NOT NULL,
  `checked_out` int(11) NOT NULL,
  `checked_out_time` datetime NOT NULL,
  `param` text NOT NULL,
  `user_param` text NOT NULL,
  `user_id` longtext NOT NULL,
  PRIMARY KEY (`id`)
) TYPE=MyISAM ;
#$$$$#
CREATE TABLE IF NOT EXISTS #__s5clanroster_settings (
  `id` int(255) NOT NULL AUTO_INCREMENT,
  `user_photo_width` int(10) NOT NULL,
  `user_photo_height` int(10) NOT NULL,
  `breadcrumbs` int(10) NOT NULL,
  PRIMARY KEY (`id`)
) TYPE=MyISAM ;
#$$$$#
CREATE TABLE IF NOT EXISTS #__s5clanroster_users (
  `id` int(255) NOT NULL AUTO_INCREMENT,
  `user_id` int(10) NOT NULL,
  `user_photo` varchar(255) NOT NULL,
  PRIMARY KEY (`id`)
) TYPE=MyISAM ;
#$$$$#
CREATE TABLE IF NOT EXISTS #__s5clanroster_param_users (
  `id` int(255) NOT NULL AUTO_INCREMENT,
  `user_id` int(10) NOT NULL,
  `cat_id` int(10) NOT NULL,
  `param_id` varchar(255) NOT NULL,
  `param_value` longtext NOT NULL,
  PRIMARY KEY (`id`)
) TYPE=MyISAM ;