<?php
/**
 * Settings View for S5ClanRoster Component
 * 
 * @package
 * @subpackage Components
 */

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die();

jimport( 'joomla.application.component.view' );

/**
 * Settings View
 *
 * @package
 * @subpackage Components
 */
class S5ClanRosterViewS5Settings extends JView
{
	/**
	 * Settings view display method
	 * @return void
	 **/
	function display($tpl = null)
	{
		JToolBarHelper::title( JText::_( 'TITLE SETTINGS' ), 'generic.png' );
		JToolBarHelper::Apply();
		
		// Get settings
		$return	= & $this->get( 'settings');
		$this->assignRef('settings', $return);
		
		parent::display($tpl);
	}
}
?>